import { Injectable } from '@angular/core';
export var ImageLoaderConfig = (function () {
    function ImageLoaderConfig() {
        this.debugMode = false;
        this.spinnerEnabled = true;
        this.backgroundSize = 'contain';
        this.backgroundRepeat = 'no-repeat';
        this.display = 'block';
        this.width = '100%';
        this.height = '100%';
        this.useImg = false;
        this._cacheDirectoryName = 'image-loader-cache';
    }
    Object.defineProperty(ImageLoaderConfig.prototype, "cacheDirectoryName", {
        get: function () {
            return this._cacheDirectoryName;
        },
        set: function (name) {
            name.replace(/\W/g, '');
            this._cacheDirectoryName = name;
        },
        enumerable: true,
        configurable: true
    });
    ImageLoaderConfig.prototype.enableDebugMode = function () {
        this.debugMode = true;
    };
    ImageLoaderConfig.prototype.enableSpinner = function (enable) {
        this.spinnerEnabled = enable;
    };
    ImageLoaderConfig.prototype.setCacheDirectoryName = function (name) {
        this.cacheDirectoryName = name;
    };
    ImageLoaderConfig.prototype.setHeight = function (height) {
        this.height = height;
    };
    ImageLoaderConfig.prototype.setWidth = function (width) {
        this.width = width;
    };
    ImageLoaderConfig.prototype.enableBlock = function (enable) {
        this.display = enable;
    };
    ImageLoaderConfig.prototype.useImageTag = function (use) {
        this.useImg = use;
    };
    ImageLoaderConfig.prototype.setBackgroundSize = function (backgroundSize) {
        this.backgroundSize = backgroundSize;
    };
    ImageLoaderConfig.prototype.setBackgroundRepeat = function (backgroundRepeat) {
        this.backgroundRepeat = backgroundRepeat;
    };
    ImageLoaderConfig.prototype.setFallbackUrl = function (fallbackUrl) {
        this.fallbackUrl = fallbackUrl;
    };
    ImageLoaderConfig.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ImageLoaderConfig.ctorParameters = [];
    return ImageLoaderConfig;
}());
//# sourceMappingURL=image-loader-config.js.map